package com.ho.business.service;

import com.ho.business.vo.resp.cabin.ChargeDischarge;
import com.ho.business.vo.resp.cabin.LeftPanel;
import com.ho.common.tools.vo.req.PointData;

import java.util.List;

/**
 * @author fancl
 * @desc: 舱
 * @date 2023/5/5
 */
public interface CabinService {

    LeftPanel dealDevice(Integer stationId, Integer srcId);

    //几个发电量
    LeftPanel powerGeneration(Integer stationId, Integer srcId);

    //根据站id,舱id查询近一年充电量,放电量
    List<ChargeDischarge> getChargeList(Integer stationId, Integer srcId, String beginTime, String endTime);

    List<PointData> getAuxPower(Integer stationId, Integer srcId);

}
